@charset "UTF-8";

/** 		
 *			GQ-Flowchart Stylesheet
 *			Author: Richard Brammer, richard.brammer@geildanke.com
 *			Date:	2012-09-20
 */

body {
	margin: 0;
	padding: 0;

	/* 		against select, copy and callout */ 
	-webkit-touch-callout: none;
	touch-callout: none;
	-webkit-user-select: none;
	user-select: none;
}

button {
	
	color: transparent; 
	background-color: transparent; 
	border-color: transparent;
	position: absolute;

	/* DEV */
	/*background-color: rgba(0, 255, 0, 0.5);*/

	
	/*		prevents touch-shadow o transparent buttons */
	tap-highlight-color: transparent;
	-webkit-tap-highlight-color: transparent;
}

#viewport {
	overflow: hidden;
	position: relative;
	width: 532px;
	height: 532px;

	/* DEV */
	/*overflow: visible;*/
}

#stage-x {

	position: absolute;
	
	/*		Use -webkit for faster rendering and against against flicker */
	transition: transform 1.2s ease-out;
	-webkit-transition: -webkit-transform 1.2s ease-out;
}

#stage-y {

	/* 		Adjust to the real background color */
	background: #fff;
	display: block;
	position: absolute;
	
	/*		Use -webkit for faster rendering and against against flicker */
	transition: transform 0.6s ease-in-out;
	-webkit-transition: -webkit-transform 0.6s ease-in-out;
}

.tile {

	background-size: 532px 532px;
	float: left;

	/* 		needed to position buttons absolute */
	position: relative;

	/* 		same size as viewport */
	width: 532px;
	height: 532px;
}

.dev {
	/* set display none for production */
	/* DEV */
	display: none;

	font-size: 32px;
}